> ## Documentation Index
> Fetch the complete documentation index at: https://chainstack-docs-polygon-flatcalltracer-getproof.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# bor_getSignersAtHash | Polygon

> Polygon API method bor_getSignersAtHash returns the authorized signers at a given block hash. On Polygon via Chainstack.

Polygon API method `bor_getSignersAtHash` returns the list of authorized signers at a given block hash on the Bor consensus layer.

## Parameters

* `hash` — the block hash to query.

## Response

* `result` — an array of signer addresses authorized at the given block.

```json theme={"system"}
{ "jsonrpc": "2.0", "id": 1, "result": ["0x0e94b9b3fabd95338b8b23c36caae1d640e1339f"] }
```

## Use case

`bor_getSignersAtHash` is used to audit which validators were authorized to sign at a specific point in the chain's history on Polygon.


## OpenAPI

````yaml openapi/polygon_node_api/bor/bor_getSignersAtHash.json POST /a9bca2f0f84b54086ceebe590316fff3
openapi: 3.0.0
info:
  title: bor_getSignersAtHash example
  version: 1.0.0
  description: Get the list of authorized signers at the given block hash.
servers:
  - url: https://nd-828-700-214.p2pify.com
security: []
paths:
  /a9bca2f0f84b54086ceebe590316fff3:
    post:
      tags:
        - Ethereum Operations
      summary: bor_getSignersAtHash
      operationId: bor_getSignersAtHash
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: bor_getSignersAtHash
                id:
                  type: integer
                  default: 1
                params:
                  type: array
                  default:
                    - >-
                      0xf125452aa7b19272f6406c3994e1fad767cd3722ab19e908e2f314528c14cfb7
                  items:
                    type: string
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                  id:
                    type: integer
                  result:
                    type: array
                    items:
                      type: string

````